More Shell Cleaning - Part Two

@damienmg Here are a few more changes. (`third_party` only)

Closes #4164.

PiperOrigin-RevId: 177278511
diff --git a/third_party/ijar/test/ijar_test.sh b/third_party/ijar/test/ijar_test.sh
index 0b9a92f..eacf6e4 100755
--- a/third_party/ijar/test/ijar_test.sh
+++ b/third_party/ijar/test/ijar_test.sh
@@ -41,7 +41,7 @@
 source ${DIR}/testenv.sh || { echo "testenv.sh not found!" >&2; exit 1; }
 
 function cleanup() {
-  rm -fr "$TEST_TMPDIR"/*
+  rm -fr "${TEST_TMPDIR:-sentinel}"/*
 }
 
 trap cleanup EXIT
@@ -235,7 +235,7 @@
 
 
   # Check that compile-time constants in A are still annotated as such in ijar:
-  $JAVAP -classpath $TEST_TMPDIR/classes -c B | grep -sq ldc2_w.*123 ||
+  $JAVAP -classpath $TEST_TMPDIR/classes -c B | grep -sq 'ldc2_w.*123' ||
     fail "ConstantValue not propagated to class B!"